package com.gyee.wisdom.xfai.net3.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.jms.core.JmsMessagingTemplate;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.ResponseBody;

import javax.jms.Queue;
import javax.jms.Topic;
import java.util.Date;

@Controller
//发送端
public class MQProducter {


    @Autowired
    // 调用Activemq的队列模式
    //  这个是在util里面的 不是官方提供的API
    Queue queue;

    @Autowired
    Topic topic;

    @Autowired
    // 使用这个类 进行一个消息的发送
    JmsMessagingTemplate jmsMessagingTemplate;


    @GetMapping("/sendToQueue")
    @ResponseBody
    public String sendMessage(String message){
        //发送消息  直播什么的就是在这去发送
        jmsMessagingTemplate.convertAndSend(queue,message);
        Date d = new Date();
        System.out.println(d.getYear()+ "---"+d.getMonth()+"---"+d.getDate());
        return "发送到Queue成功";
    }


    @GetMapping(value = "/sendToTopic/{msg}")
    @ResponseBody
    public String sendTopic(@PathVariable String msg) {
        jmsMessagingTemplate.convertAndSend(topic, "U3D:MessageToU3D:" + msg);
        return "发送到Topic成功";
    }


}
